﻿/* producto */
.content-product-detail {
	margin-top: 18px;
}

.bg-content-product-detail {
	background-color: white;
	padding: 2em;
	margin-top: 1em;
	margin-bottom: 1em;
	border-radius: 15px;
	z-index: 0;
	position: relative;
}

/*.content-breadcrumb {
    padding: 1em;
    background-color: #ededed;
}

.breadcrumb {
    margin-bottom: 0;
}

.content-breadcrumb .breadcrumb li {
    text-transform: uppercase;
}

.content-breadcrumb .breadcrumb .breadcrumb-item a {
    color: red;
    font-weight: 500;
    text-decoration: none;
    font-size: 14px;
}*/

.content-pn {
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
}

.product-name {
	color: #2B2D42;
	font-weight: 700;
	margin: 0 0 10px;
}

.sku {
	margin-top: 11px;
	width: 100%;
	text-align: right;
}

.product-detail {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 0 3em 0 0;
}

.product-images {
	width: auto;
	position: relative;
}

	.product-images::before {
		font-family: "Font Awesome 5 Free";
		font-weight: 900;
		content: "\f03e";
		position: absolute;
		inset: 0;
		background: linear-gradient(90deg, #eee 25%, #ddd 50%, #eee 75%);
		background-size: 200% 100%;
		animation: shimmer 1.5s infinite;
		border: 1px solid #d0d0d0;
		margin: 0px 5px;
		z-index: 1;
		display: flex;
		align-items: center;
		justify-content: center;
		font-size: 8em;
		color: #ffffff;
	}

	/* Imagen inicial */
	.product-images img {
		width: 100%;
		/*    height: 100%;*/
		object-fit: cover;
		opacity: 0;
		transition: opacity 0.5s ease-in;
	}

	/* Cuando el contenedor tiene loaded */
	.product-images.loaded::before {
		display: none; /* oculta skeleton */
	}

	.product-images.loaded img {
		opacity: 1;
	}


.image-slider-content {
	overflow: hidden;
}

.image-slider {
	display: flex;
	transform: translateX(0%);
	/* overflow-x: scroll; */
	/* scroll-snap-type: x mandatory; */
	-webkit-transition: all 0.3s ease-in-out;
	-moz-transition: all 0.3s ease-in-out;
	-ms-transition: all 0.3s ease-in-out;
	-o-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
}

.image-slide {
	flex: 0 0 100%;
	/*    padding: 1.5em;*/
	/* scroll-snap-align: start; */
}

	.image-slide img {
		width: 100%;
		border-radius: 1em;
		box-shadow: 0 0 14px #cdcdcd;
	}

.content-zoon {
	overflow: hidden;
	top: 0;
	left: 100%;
	/*    z-index: 11;*/
	position: absolute;
	width: 400px;
	height: 400px;
}

.image-zoom {
	width: 100vh;
	height: 100vh;
	background-size: 100%;
	background-repeat: no-repeat;
	display: none;
	position: absolute
}

.product-description {
	width: 100%;
	padding: 20px;
}

/*.content-description > * {
    width: 100%;
}

.content-description img {
    width: 100%;
}*/
content-description > * {
	max-width: 100%;
}

.content-description img {
	max-width: 100%;
}

.puntos {
	width: 100%;
	list-style: none;
	padding: 5px;
	display: flex;
	flex-flow: row nowrap;
	justify-content: center;
	align-items: center;
}

.punto {
	/*    width: 4em;
    margin: 0.2em;
    transition: all 0.4s ease;
    border-radius: 3px;
    background-color: #ededed;
    box-shadow: 0.6em 0.6em 1.2em var(--sombra-ppal), -0.6em -0.6em 1.2em var(--sombra-sec), inset 0 0 0 transparent, inset 0 0 0 transparent;
    padding: 0.2em;*/
	width: 0.8em;
	height: 0.8em;
	margin: 0.2em;
	transition: all 0.4s ease;
	border-radius: 3px;
	background-color: #bdbdbd;
	box-shadow: 0.6em 0.6em 1.2em var(--sombra-ppal), -0.6em -0.6em 1.2em var(--sombra-sec), inset 0 0 0 transparent, inset 0 0 0 transparent;
	padding: 0.2em;
	border-radius: 50%;
	cursor: pointer;
}

.punto {
	display: none;
}

	.punto.visible {
		display: inline-block;
	}

	/*    .punto img {
        width: 100%;
    }*/

	.punto.activo {
		width: 2em;
		background-color: red;
		border-radius: 12px;
	}

.desc1 {
	display: block;
	float: right;
}

.product-details {
	z-index: 10;
}

	.product-details .product-price {
		display: inline-block;
		font-size: 24px;
		margin-top: 10px;
		margin-bottom: 15px;
		color: #D10024;
	}

	.product-details .product-rating > i.fa-star {
		color: forestgreen;
	}

	.product-details .review-link {
		font-size: 12px;
	}

.devoluciones-producto {
	padding-top: 1em;
}

.btn_form {
	margin: 8% 0 4%;
}

	.btn_form button {
		font-family: 'Open Sans', sans-serif;
		cursor: pointer;
		border: none;
		outline: none;
		width: 80%;
		display: inline-block;
		font-size: 1em;
		padding: 10px 34px;
		text-align: center;
		background: #ff0000;
		color: #fff;
		margin: 5px 0px;
		border-radius: 45px;
		text-transform: uppercase;
		-webkit-transition: all 0.3s ease-in-out;
		-moz-transition: all 0.3s ease-in-out;
		-o-transition: all 0.3s ease-in-out;
		transition: all 0.3s ease-in-out;
		width: 100%;
	}

		.btn_form a:hover {
			background: #a8001d;
		}

.panel-heading {
	padding: 10px 15px;
	border-bottom: 1px solid transparent;
	border-top-left-radius: 3px;
	border-top-right-radius: 3px;
}

.product-details .product-rating {
	display: inline-block;
	margin-right: 15px;
}

.content-desc-img .content-desc-img-caract {
	/* margin-left: 100px; */
	padding-left: 4px;
	padding-right: 4px;
	float: left;
}

.content-product-old-price {
	margin: 10px 0px 5px 0px;
	font-size: 17px;
	color: #686868;
}

.stilelist ul {
	list-style-type: disc;
}

.stilelistol ol {
	list-style-type: disc;
}

.stilelist ul li {
	margin-bottom: 8px;
	margin-left: 8px;
	line-height: 20px;
	font-weight: 400;
	list-style: circle;
}

.accordion-button:not(.collapsed) {
	color: #ff0000;
	background-color: #ff000017;
}

	.accordion-button:not(.collapsed)::after {
		filter: sepia(1);
	}

#product-tab {
	margin-top: 7px;
}

	#product-tab .tab-nav {
		position: relative;
		text-align: center;
		padding: 15px 0px;
		margin-bottom: 30px;
		display: flex;
		justify-content: center;
		border-bottom: 0;
	}

		#product-tab .tab-nav:after {
			content: "";
			position: absolute;
			left: 0;
			right: 0;
			top: 50%;
			height: 1px;
			background-color: #E4E7ED;
			z-index: -1;
		}

		#product-tab .tab-nav:after {
			content: "";
			position: absolute;
			left: 0;
			right: 0;
			top: 50%;
			height: 10px;
			background-color: #f6f6f6;
			z-index: -1;
			border-radius: 50px;
			border: 1px solid #f6f6f6;
		}

		#product-tab .tab-nav li {
			display: inline-block;
			background: #ffffff !important;
			padding: 0px 15px;
		}

			#product-tab .tab-nav li:hover {
				background: #ffffff !important;
				border: 0 solid #fff0;
			}

			#product-tab .tab-nav li + li {
				margin-left: 15px;
			}

			#product-tab .tab-nav li button {
				display: block;
				font-weight: 700;
				color: #8D99AE;
			}

				#product-tab .tab-nav li button:hover {
					border: 0 solid #fff0;
				}

				#product-tab .tab-nav li button.active {
					color: #D10024;
					background-color: #fff0;
					border: 0 solid #fff0;
				}

				#product-tab .tab-nav li button:after {
					content: "";
					display: block;
					width: 0%;
					height: 2px;
					background-color: #D10024;
					-webkit-transition: 0.2s all;
					transition: 0.2s all;
				}

				#product-tab .tab-nav li button:hover:after, #product-tab .tab-nav li button:focus:after, #product-tab .tab-nav li.active button:after {
					width: 100%;
				}

#reviews {
	margin-top: 1em;
}

.rating-avg {
	font-size: 24px;
	font-weight: 700;
	margin-bottom: 15px;
}

	.rating-avg .rating-stars, .rating .rating-stars {
		display: inline-block;
	}

		.rating-avg .rating-stars > i.fa-star, .rating .rating-stars > i.fa-star {
			color: forestgreen;
		}

.reviews li {
	flex-direction: column;
	margin-bottom: 1em;
	display: flex;
}

.reviews .review-heading {
	position: relative;
	width: 100%;
	left: 0;
	top: 0;
	height: 70px;
}

	.reviews .review-heading .name {
		margin-bottom: 5px;
		margin-top: 0px;
	}

	.reviews .review-heading .date {
		color: #8D99AE;
		font-size: 10px;
		margin: 0;
	}

	.reviews .review-heading .review-rating {
		margin-top: 5px;
	}

		.reviews .review-heading .review-rating > i.fa-star {
			color: forestgreen;
		}

.reviews .review-body {
	margin-top: 1em;
	min-height: 70px;
	padding: 1em;
	background-color: #ededed;
	border-radius: 10px;
}

.btn-detalle-producto {
	text-decoration: underline;
	font-size: 17px;
	border: 0;
	background-color: #ffffff00;
}

.list-detail {
	list-style: none;
	margin: 0;
	padding: 0;
}

/*button:hover, button:focus {
    color: #D10024;
    text-decoration: none;
    outline: none;
}*/
button:hover, button:focus {
	text-decoration: none;
	outline: none;
}

.content-desc-val {
	border-top: 2.1px solid white;
	margin-top: 1em;
}

.accordion-button:focus {
	z-index: 3;
	border-color: #F44336;
	box-shadow: 0 0 0px 3px #F44336;
}

.hrClass {
	margin: 1rem 0;
	color: inherit;
	border: 0;
	border-top: 2px solid;
	opacity: inherit;
	color: #ffffff;
}

.type-of-delivery-all-content {
	border-top: 1px solid #dddddd;
	border-bottom: 1px solid #dddddd;
	padding: 1em 0;
	margin: 2em 0;
}
.type-of-delivery-content {
	display: flex;
	align-items: center;
	gap: 10px;
}
.type-of-delivery-content section{
	margin-top: 0;
}
.readmore {
	/*	max-width: 600px;*/
	margin: 2rem auto;
}

.readmore-content {
	overflow: hidden;
	position: relative;
	transition: height 450ms cubic-bezier(.65,0,.35,1);
}

	/* Fade dinámico */
	.readmore-content::after {
		content: "";
		position: absolute;
		inset: auto 0 0 0;
		height: 80px;
		background: linear-gradient( to bottom, rgba(255,255,255,0), rgba(255,255,255,1) );
		pointer-events: none;
		opacity: 1;
		transition: opacity 300ms ease;
	}

.readmore.expanded .readmore-content::after {
	opacity: 0;
}

.readmore-toggle {
	margin-top: 1rem;
	padding: 10px 18px;
	cursor: pointer;
	border: none;
	background: #f1f1f1;
	color: #000000;
	border-radius: 6px;
}

.section-store-modal .nav-pills .nav-link {
	width: 150px;
}
.section-store-modal .tab-content iframe{
	width: 450px;
	max-width: 100%;
}

.section-store-modal .content-tap {
	display: flex;
	flex-direction: row;
}
.section-store-modal .content-button-tap {
	display: flex;
	flex-direction: column;
}
.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
	background-color: #ff0000;
}

@media (max-width: 480px){
	.section-store-modal .content-tap {
		flex-direction: column;
	}
	.section-store-modal .nav-pills .nav-link {
		width: 100%;
	}
	.section-store-modal .content-button-tap {
		display: flex;
		flex-direction: row;
		flex-wrap: nowrap;
		margin-bottom: 1em;
	}
}
